/* Hook to allow capturing of the encryption key for the backup media file. */

parse arg args

/* find the encryption key phrase */
keyPos = pos('-k',args)
keyOpt = substr(args,keyPos)
keyOpt = word(keyOpt,1)

/* find the backup media file name argument */
mediaOptPos = pos('-m',args)
mediaOpt = substr(args,mediaOptPos)
mediaOpt = word(mediaOpt,1)

/* and remove this option from the argument list as it was just for us */
mediaWordPos = wordpos(mediaOpt,args)
args = delword(args,mediaWordPos,1)

/* allow this information to be logged.
   (BackEmUp doesn't need to know it as it tracks it internally,
    but the user might want to keep a separate record of it. */
say '  Encryption key "'||substr(keyOpt,3)||'" for backup media file' substr(mediaOpt,3)

/* now invoke the desired program with the remaining options */
args

/* return the RC of the invoked program */
exit rc
